Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453375 - repeat (rely -> close another mail ) on evolution mailor -> memory leak?
Summary: repeat (rely -> close another mail ) on evolution mailor -> memory leak?
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: gtkhtml3
Version: 10
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-30 08:24 UTC by sangu
Modified: 2009-06-29 02:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-06-29 02:10:03 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 587260 None None None Never

Description sangu 2008-06-30 08:24:52 UTC
Description of problem:
Rely a mail on evolution mailor (ctrl+r)-> Close the mail (ctrl + w)
Repeat  this task on each other mail. 
$ pmap -x "evolution process" | grep total
total kB 121676 <- inital

After 30 times rely -> close on each other mail, memory

$ pmap -x "evolution process" | grep total
taotal kB total kB  385360
Version-Release number of selected component (if applicable):
2.23.4-2.fc10.i386

How reproducible:
always

Steps to Reproduce:
1. Reply a mail (like rawhide report in fedora devel or test mailing list) on mailor
2. Close the mail
3. Repeat
  
Actual results:


Expected results:


Additional info:
gtkhtml3-3.23.4-1.fc10.i386

Comment 1 Matthew Barnes 2008-06-30 18:10:37 UTC
Valgrind found a small string leak in Evolution's composer, which is now fixed
upstream.  Some larger leaks appear to be coming from the GtkHtml engine or
perhaps even deeper (Pango or Fontconfig).  It appears to be triggered by calls
to pango_itemize().

Comment 2 Bug Zapper 2008-11-26 02:29:17 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Matthew Barnes 2009-06-29 02:09:49 UTC
Moving this upstream for better visibility.
Please see [1] for further updates.

[1] http://bugzilla.gnome.org/show_bug.cgi?id=587260


Note You need to log in before you can comment on or make changes to this bug.